/*    LIMITAZIONE DELLA RESPONSABILITA'. 
  Il software  fornito "cos com'", senza garanzie di  sorta.               */
%macro grabpath;
%qsubstr(%sysget(SAS_EXECFILEPATH),1,%length(%sysget(SAS_EXECFILEPATH))-%length(%sysget(SAS_EXECFILEname)))
%mend grabpath;
%let path = %grabpath;
%let nomeFile =ISTAT_MFR_uso_tempo_Microdati_2013_DiarioGiornaliero_ESEMPIO_STRUTTURA_FILE.txt;
LIBNAME ISTAT "&path";
DATA ISTAT.uso_tempo_A2013_DiarioGiornalie;

INFILE "&path&nomeFile" DLM='5E'x  LRECL=32767 TRUNCOVER FIRSTOBS=2 IGNOREDOSEOF;
INPUT 
rilev : $2.   /*  codice indagine */
anno : $4.   /*  anno di inizio della rilevazione */
meseri : $1.   /*  trimestre  di rilevazione */
profam : $6.   /*  progressivo famiglia */
proind : $2.   /*  numero d'ordine del componente */
gsett : $1.   /*  giorno di rilevazione aggregato in giorno feriale, sabato e domenica */
ordepi : $3.   /*  progressivo episodio */
oraini : $2.   /*  orario di inizio dell'episodio: ore */
minini : $2.   /*  orario di inizio dell'episodio: minuti */
orafin : $2.   /*  orario di fine dell'episodio: ore */
minfin : $2.   /*  orario di fine dell'episodio: minuti */
catpri : $3.   /*  codice dell'attivit principale */
catcon : $2.   /*  codice dell'attivit contemporanea */
cluogo : $2.   /*  codice del luogo */
daso : $1.   /*  con chi: da solo */
cmadre : $1.   /*  con chi: con la madre */
cpadre : $1.   /*  con chi: con il padre */
cconiu : $1.   /*  con chi: con il coniuge */
cfigli : $1.   /*  con chi: con i figli */
cfrate : $1.   /*  con chi: con i fratelli */
afacon : $1.   /*  con chi: con altri familiari conviventi */
aperco : $1.   /*  con chi: con altre persone che conosce */
causi : $2.   /*  codice ausiliario */
bestus : $2.   /*  giudizio sul momento che sta trascorrendo */
pc_internet1 : $1.   /*  attivit principale svolta con l'utilizzo di pc_internet */
pc_internet2 : $1.   /*  attivit contemporanea svolta con l'utilizzo di pc_internet */
;
LABEL 
rilev = "codice indagine"
anno = "anno di inizio della rilevazione"
meseri = "trimestre  di rilevazione"
profam = "progressivo famiglia"
proind = "numero d'ordine del componente"
gsett = "giorno di rilevazione aggregato in giorno feriale, sabato e domenica"
ordepi = "progressivo episodio"
oraini = "orario di inizio dell'episodio: ore"
minini = "orario di inizio dell'episodio: minuti"
orafin = "orario di fine dell'episodio: ore"
minfin = "orario di fine dell'episodio: minuti"
catpri = "codice dell'attivit principale"
catcon = "codice dell'attivit contemporanea"
cluogo = "codice del luogo"
daso = "con chi: da solo"
cmadre = "con chi: con la madre"
cpadre = "con chi: con il padre"
cconiu = "con chi: con il coniuge"
cfigli = "con chi: con i figli"
cfrate = "con chi: con i fratelli"
afacon = "con chi: con altri familiari conviventi"
aperco = "con chi: con altre persone che conosce"
causi = "codice ausiliario"
bestus = "giudizio sul momento che sta trascorrendo"
pc_internet1 = "attivit principale svolta con l'utilizzo di pc_internet"
pc_internet2 = "attivit contemporanea svolta con l'utilizzo di pc_internet"
;
RUN;
PROC FORMAT;
VALUE $mes2F /* meseri */
"1" = "Novembre, Dicembre, Gennaio"
"2" = "Febbraio, Marzo, Aprile"
"3" = "Maggio, Giugno, Luglio"
"4" = "Agosto, Settembre, Ottobre"
;
VALUE $gse5F /* gsett */
"1" = "Luned-venerd"
"2" = "Sabato"
"3" = "Domenica"
;
VALUE $cat11F /* catpri */
"0" = "CURA DELLA PROPRIA PERSONA"
"1" = "ATTIVIT LAVORATIVA"
"2" = "ISTRUZIONE, STUDIO"
"3" = "CURA DELLA PROPRIA CASA E DELLA PROPRIA FAMIGLIA"
"4" = "ATTIVITA  DI VOLONTARIATO, AIUTI GRATUITI AD ALTRE FAMIGLIE, PARTECIPAZIONE SOCIALE E RELIGIOSA"
"5" = "VITA SOCIALE, DIVERTIMENTI, ATTIVIT CULTURALI E RIPOSO"
"6" = "SPORT E ATTIVIT ALL APERTO"
"7" = "ARTI, PASSATEMPI E GIOCHI"
"8" = "MASS-MEDIA E COMUNICAZIONE"
"9" = "SPOSTAMENTI E VIAGGI, CODICI SPECIALI"
"01" = "DORMIRE, A LETTO MALATO"
"02" = "MANGIARE, BERE"
"03" = "CURE DELLA PROPRIA PERSONA"
"11" = "LAVORO PRINCIPALE"
"12" = "SECONDO LAVORO"
"13" = "ALTRO TEMPO LEGATO AL LAVORO"
"21" = "SCUOLA, UNIVERSIT"
"22" = "ALTRI STUDI E CORSI"
"31" = "CUCINARE, LAVARE E RIORDINARE LE STOVIGLIE"
"32" = "PULIZIA E RIORDINO DELLA CASA"
"33" = "LAVORAZIONE, MANUTENZIONE, RIPARAZIONE ABITI,BIANCHERIA,CALZATURE"
"34" = "GIARDINAGGIO E CURA DEGLI ANIMALI"
"35" = "COSTRUZIONE E RIPARAZIONI"
"36" = "ACQUISTI DI BENI E SERVIZI"
"37" = "GESTIONE DELLA FAMIGLIA"
"38" = "CURA DI BAMBINI/RAGAZZI DELLA PROPRIA FAMIGLIA"
"39" = "ATTIVITA  DI AIUTO RIVOLTE A COMPONENTI ADULTI DELLA FAMIGLIA"
"41" = "ATTIVITA  DI VOLONTARIATO"
"42" = "AIUTI DATI GRATUITAMENTE A PERSONE DI ALTRE FAMIGLIE"
"43" = "PARTECIPAZIONE SOCIALE E RELIGIOSA"
"51" = "VITA SOCIALE"
"52" = "DIVERTIMENTI E ATTIVIT CULTURALI"
"53" = "RIPOSO, PAUSA, NON FAR NIENTE"
"61" = "ESERCIZIO FISICO: SPORT, DANZA, ECC."
"62" = "CACCIA, PESCA, RACCOLTA DI FUNGHI, PIANTE, BACCHE SELVATICHEE ALTRE ATTIVITA PER PROCURARSI PRODOTTI DELLA NATURA"
"63" = "ALTRE ATTIVIT LEGATE ALLO SPORT E ALLE ATTIVITA ALL APERTO"
"71" = "ARTI"
"72" = "INFORMATICA E COMUNICAZIONE"
"73" = "GIOCHI"
"81" = "LETTURE"
"82" = "TELEVISIONE E VIDEO"
"83" = "MUSICA, RADIO"
"90" = "SPOSTAMENTI SENZA FINALIT"
"011" = "Dormire"
"012" = "Stare a letto malato"
"021" = "Mangiare, bere"
"031" = "Lavarsi, vestirsi, pettinarsi"
"039" = "Altre cure specificate e non specificate legate alla della propria persona, cure mediche"
"111" = "Lavoro principale, formazione sul lavoro, altre attivit svolte per lavoro"
"112" = "Pausa caff/brevi pause sul lavoro principale"
"113" = "Spostamenti durante il lavoro principale"
"121" = "Secondo lavoro"
"122" = "Pausa caff/brevi pause durante il secondo lavoro"
"123" = "Spostamenti durante il secondo lavoro"
"132" = "Attivit svolte per lavoro, fuori dell orario di lavoro"
"139" = "Altre attivit legate al lavoro, ricerca di lavoro"
"211" = "Corsi, lezioni, esami"
"212" = "Studio a casa (compiti), in biblioteca o altrove"
"219" = "Altre attivit legate alla scuola o all universit"
"221" = "Studi e corsi espressivo-artistici"
"222" = "Studi e corsi di lingue"
"223" = "Studi e corsi per l uso del computer"
"224" = "Studi e corsi tecnico-operativi"
"229" = "Altre attivit specificate e non specificate legate a studi e corsi"
"311" = "Preparare i pasti"
"312" = "Lavare le stoviglie, apparecchiare e sparecchiare la tavola"
"319" = "Altre attivit specificate e non legate alla preparazione dei pasti"
"321" = "Pulizia e riordino dell abitazione e parti dell edificio abitativo"
"322" = "Pulizia delle parti esterne della casa"
"323" = "Approvvigionamento di materiale per riscaldamento e acqua"
"324" = "Sistemazione di oggetti e beni della propria famiglia"
"329" = "Altre attivit specificate e non legate alla cura della casa"
"331" = "Lavare, stendere e ritirare il bucato"
"332" = "Stiratura"
"333" = "Produzione di capi di abbigliamento, biancheria, calzature(non per lavoro)"
"339" = "Altre attivit specificate e non legate alla produzione,riparazione e cura di abiti,biancheria,calzature"
"341" = "Cura delle piante"
"342" = "Cura degli animali da cortile/allevamento"
"343" = "Cura degli animali domestici"
"344" = "Portare a passeggio il cane"
"349" = "Altre attivit specificate e non legate al giardinaggio e alla cura di animali"
"351" = "Costruzione e ristrutturazione della propria abitazione"
"352" = "Riparazioni nella propria abitazione:pitturare pareti, riparare impianti,ecc."
"353" = "Costruzione, riparazione e cura di mobili o altri beni della propria abitazione"
"354" = "Manutenzione e riparazione di veicoli"
"359" = "Altre attivit specificate e non legate alla costruzione e riparazione abitazione, altri beni e veicoli"
"361" = "Acquisto di beni, spesa quotidiana"
"362" = "Acquisto di servizi commerciali per la casa e la famiglia"
"363" = "Acquisto di servizi amministrativi per la casa e la famiglia"
"364" = "Servizi medici, altri servizi personali a pagamento"
"365" = "Servizi veterinari per animali domestici o da cortile, allevamento"
"369" = "Altre attivit specificate e non legate agli acquisti di beni e servizi"
"371" = "Gestione della vita familiare"
"372" = "Gestione della vita familiare con l uso del PC o di Internet"
"381" = "Cure fisiche e sorveglianza"
"382" = "Aiutare i bambini/ragazzi a fare i compiti"
"383" = "Giocare, leggere e parlare con bambini/ragazzi della famiglia"
"384" = "Accompagnare i bambini/ragazzi"
"389" = "Altre attivit specificate e non legate alla cura di bambini/ragazzi"
"391" = "Cure fisiche ad adulti della famiglia"
"392" = "Prestazioni sanitarie ad adulti disabili o malati della famiglia"
"393" = "Compagnia, accompagnare adulti della famiglia"
"394" = "Aiuto prestato ad adulti della famiglia nello svolgimento di attivit varie:lavoro extra-domestico, studio, ecc."
"399" = "Altre attivit specificate e non di cura o aiuto ad adulti famiglia"
"411" = "Attivit di volontariato svolta nell ambito di un gruppo/associazione"
"421" = "Cucinare come aiuto"
"422" = "Pulizia e riordino della casa come aiuto"
"423" = "Cura dei propri figli non conviventi"
"424" = "Costruzioni e riparazioni come aiuto"
"425" = "Acquisti di beni e servizi come aiuto"
"426" = "Aiuto nel lavoro extra-domestico"
"427" = "Cura di bambini/ragazzi di altre famiglie come aiuto"
"428" = "Cura di adulti come aiuto"
"429" = "Altre attivit specificate e non legate agli aiuti gratuiti a persone di altre famiglie"
"431" = "Partecipazione a incontri/riunioni"
"432" = "Partecipazione religiosa"
"439" = "Altre attivit specificate e non legate alla partecipazione sociale religiosa"
"511" = "Socializzare con la propria famiglia"
"512" = "Fare e ricevere visite"
"513" = "Festeggiamenti"
"514" = "Conversazioni telefoniche"
"515" = "Attivit di socializzazione dei bambini/ragazzi non meglio specificate"
"516" = "Parlare fuori casa con persone non conviventi"
"517" = "Altre attivit di vita sociale svolte fuori casa"
"519" = "Altre attivit specificate e non legate alla vita sociale"
"521" = "Cinema"
"522" = "Teatro, concerto"
"523" = "Mostre, musei"
"524" = "Biblioteca (non per studio)"
"525" = "Manifestazioni sportive come spettatore"
"529" = "Escursioni, gite ed altre attivit specificate e non legate al divertimento/cultura"
"531" = "Riposo, pausa, non fare niente"
"611" = "Camminare, passeggiare,guardare le vetrine,fare escursioni a piedi,"
"612" = "Jogging, corsa"
"613" = "Ciclismo, sci, pattinaggio"
"614" = "Giochi con la palla"
"615" = "Ginnastica, fitness"
"616" = "Sport acquatici, sport nautici"
"617" = "Danza classica, moderna, jazz, ecc. (come sport)"
"619" = "Altri sport specificati e non specificati"
"621" = "Caccia, pesca,raccolta di funghi, piante, bacche selvatiche e altre attivit svolte per procurarsi prodotti della natura"
"631" = "Altre attivit legate allo sport e alle attivit all aperto"
"711" = "Attivit artistico-espressive (pittura, scultura, fotografia, video, musica, teatro, cinema, prosa e poesia)"
"712" = "Collezioni"
"713" = "Corrispondenza"
"714" = "Ascoltare una favola (per rispondenti fino a 17 anni)"
"719" = "Altri passatempi specificati e non"
"721" = "Informatica, programmazione"
"722" = "Accesso alle informazioni tramite il computer: Internet, CD-rom, DVD"
"723" = "Posta elettronica, chat, messaggistica mobile"
"729" = "Altri utilizzi specificati e non specificati del pc"
"731" = "Giocare da soli, giochi d azzardo"
"732" = "Giocare con altri, giochi di societ"
"733" = "Giochi con il computer, videogiochi"
"734" = "Giochi con animali"
"735" = "Giochi creativi, artistici dei bambini: colorare, disegnare, scrivere, ecc. (per rispondenti fino a 17 anni)"
"736" = "Giochi di movimento dei bambini: correre, giochi con la palla, la bicicletta, il triciclo, ecc. (per rispondenti fino a 17 anni)"
"739" = "Altri giochi specificati e non specificati"
"811" = "Lettura di quotidiani"
"812" = "Lettura di riviste periodiche"
"813" = "Lettura di libri"
"814" = "Leggere fumetti, giornalini, per bambini/ragazzi (per rispondenti fino a 17 anni)"
"819" = "Altre letture specificate e non specificate"
"821" = "Guardare la televisione o registrare videocassette, dvd, dvx"
"822" = "Guardare programmi televisivi, film, video su PC o Internet"
"831" = "Ascoltare musica"
"832" = "Ascoltare musica o radio su pc o Internet"
"900" = "Spostamenti per la cura della propria persona"
"910" = "Spostamenti per lavoro"
"921" = "Spostamenti per scuola, universit"
"922" = "Spostamenti legati ad altri studi o corsi"
"931" = "Spostamenti per la cura della propria casa"
"936" = "Spostamenti per acquisti beni/servizi, gestione della famiglia"
"938" = "Spostamenti per la cura di bambini della famiglia"
"939" = "Spostamenti per la cura di adulti della famiglia"
"941" = "Spostamenti legati ad attivit di volontariato"
"942" = "Spostamenti legati ad aiuti gratuiti ad altre famiglie"
"943" = "Spostamenti legati alla partecipazione sociale e religiosa"
"951" = "Spostamenti legati alla vita sociale"
"960" = "Spostamenti legati ad altre attivit del proprio tempo libero"
"971" = "Spostamenti legati al cambio di localit"
"972" = "Spostamenti per svago"
"981" = "Spostamenti di bambini con entrambi i genitori (per rispondenti fino a 17 anni)"
"982" = "Spostamenti di bambini con il padre (anche non convivente) (per rispondenti fino a 17 anni)"
"983" = "Spostamenti di bambini con la madre (anche non convivente) (per rispondenti fino a 17 anni)"
"989" = "Spostamenti di bambini con altre persone (per rispondenti fino a 17 anni)"
"995" = "Compilare il diario sull Uso del Tempo ISTAT"
"997" = "Frase che non descrive attivit o utilizzo improprio delle caselle del diario"
;
VALUE $cat12F /* catcon */
"01" = "Dormire, stare a letto malato"
"02" = "Mangiare e bere"
"03" = "Cura della propria persona"
"11" = "Pausa pranzo"
"12" = "Attivit svolte per lavoro, fuori dell orario di lavoro"
"13" = "Altre attivit legate al lavoro, ricerca di lavoro"
"21" = "Scuola, universit"
"22" = "Altri studi e corsi"
"31" = "Cucinare, lavare e riordinare le stoviglie"
"32" = "Pulizia e riordino della casa"
"33" = "Lavorazione, manutenzione, riparazione abiti, biancheria, calzature"
"34" = "Giardinaggio e cura degli animali"
"35" = "Costruzione e riparazioni"
"36" = "Acquisti di beni e servizi, gestione della famiglia"
"37" = "Cure fisiche e sorveglianza"
"38" = "Giocare, leggere e parlare con bambini/ragazzi della famiglia"
"39" = "Accompagnare i bambini/ragazzi, Aiutare i bambini/ragazzi a fare i compiti, Altre attivit specificate e non legate alla cura di bambini/ragazzi"
"40" = "Attivit  di aiuto rivolte a componenti adulti della famiglia"
"41" = "Attivit  di volontariato"
"42" = "Aiuti dati gratuitamente a persone di altre famiglie"
"43" = "Partecipazione sociale e religiosa"
"51" = "Socializzare con la propria famiglia"
"52" = "Fare e ricevere visite, festeggiamenti"
"53" = "Altre attivit di socializzazione"
"54" = "Divertimenti e attivit culturali"
"55" = "Riposo, pausa, non far niente"
"60" = "Esercizio fisico e attivit allaperto"
"71" = "Arti"
"72" = "Informatica e comunicazione"
"73" = "Giochi"
"81" = "Letture"
"82" = "Televisione e video"
"83" = "Musica, radio"
"95" = "Compilare il diario sull Uso del Tempo ISTAT"
;
VALUE $clu13F /* cluogo */
"11" = "Casa propria"
"12" = "Casa propria, spazi aperti"
"13" = "Seconda casa"
"14" = "Casa di altre persone"
"15" = "Albergo e simili"
"16" = "Luogo di lavoro"
"17" = "Scuola universita asilo"
"18" = "Biblioteca"
"19" = "Centro studi, formazione"
"20" = "Ristorante pizzeria"
"21" = "Birreria pub"
"22" = "Bar gelateria"
"23" = "Centro commerciale"
"24" = "Grandi magazzini"
"25" = "Mercato"
"26" = "Altri negozi"
"27" = "Uffici per pubblico"
"28" = "Ospedale"
"29" = "Luoghi chiusi sport"
"30" = "Luoghi aperto sport"
"31" = "Luoghi chiuso spettacolo"
"32" = "Luoghi aperto spettacolo"
"33" = "Discoteca"
"34" = "Museo, mostre"
"35" = "Parco a tema"
"36" = "Sala giochi, biliardo"
"37" = "Centro estivo"
"38" = "Luoghi di culto"
"39" = "Caserma"
"40" = "Verde pubblico attrezzato"
"41" = "Zona verde"
"42" = "Mare, spiaggia"
"43" = "Fiume, lago"
"44" = "Altro luogo chiuso"
"45" = "Altro luogo aperto"
"49" = "Luogo non specificato"
"50" = "A piedi"
"51" = "Bicicletta"
"52" = "Ciclomotore"
"53" = "Automobile"
"54" = "Camion, trattore"
"55" = "Gommone, barca"
"56" = "Altri mezzi privati"
"57" = "Taxi"
"58" = "Autobus"
"59" = "Tram metro"
"60" = "Treno"
"61" = "Aereo"
"62" = "Nave"
"63" = "Altri mezzi pubblici"
"97" = "Frase che non descrive luogo o mezzo"
"98" = "Mezzo di trasporto non specificato"
"99" = "Luogo/mezzo non specificato"
;
VALUE $cau22F /* causi */
"50" = "Attivit svolte in presenza di entrambi i genitori non conviventi"
"51" = "Attivit svolte in presenza del padre non convivente"
"52" = "Attivit svolte in presenza della madre non convivente"
"53" = "Attivit svolte in presenza del partner/fidanzato non convivente"
"54" = "Attivit svolta in presenza di figli non conviventi"
"55" = "Attivit svolte in presenza dei nonni (conviventi e non)"
"56" = "Attivit svolte in presenza di altri parenti (conviventi e non)"
"57" = "Attivit svolte in presenza di amici"
"58" = "Attivit svolte in presenza di vicini"
;
format meseri $mes2F.;
format gsett $gse5F.;
format catpri $cat11F.;
format catcon $cat12F.;
format cluogo $clu13F.;
format causi $cau22F.;
RUN;
